/*!
 * Datepicker for Bootstrap v1.9.0 (https://github.com/uxsolutions/bootstrap-datepicker)
 *
 * Licensed under the Apache License v2.0 (http://www.apache.org/licenses/LICENSE-2.0)
 */

.datepicker {
  background-color: $custom-control-indicator-bg;
  color: $custom-control-label-color;
}
.datepicker-dropdown:before {
  border-bottom-color: $custom-control-indicator-border-color;
}
.datepicker-dropdown:after {
  border-bottom-color: $custom-control-indicator-border-color;
}
.datepicker-dropdown.datepicker-orient-top:before {
  border-top-color: $custom-control-indicator-border-color;
}
.datepicker-dropdown.datepicker-orient-top:after {
  border-top-color: $custom-control-indicator-border-color;
}

.datepicker table tr td.day:hover,
.datepicker table tr td.day.focused {
  // hover over background
  background-color: $list-group-action-hover-color;
}

.datepicker table tr td.old,
.datepicker table tr td.new {
  // Text that changes current display, i.e. first and last
  color: $custom-control-label-disabled-color;
}

.datepicker table tr td.disabled,
.datepicker table tr td.disabled:hover {
  // Text for days that cannot be selected
  color: $custom-control-label-disabled-color;
}

.datepicker table tr td.highlighted {
  background-color: $list-group-action-hover-color;
}

.datepicker table tr td.today,
.datepicker table tr td.today:hover,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today.disabled:hover {
  // Highlighting of today
  background-color: $warning;
  background-image: none;
  background-repeat: no-repeat;
  border-color: $warning;
  color: $body-color;
}

.datepicker table tr td.today:active,
.datepicker table tr td.today.disabled:active,
.datepicker table tr td.today.active,
.datepicker table tr td.today.disabled.active,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today.disabled.disabled,
.datepicker table tr td.today[disabled],
.datepicker table tr td.today.disabled[disabled] {
  background-color: lighten($warning, 30%);
}

.datepicker table tr td.today:hover,
.datepicker table tr td.today:hover:hover,
.datepicker table tr td.today.disabled:hover,
.datepicker table tr td.today.disabled:hover:hover,
.datepicker table tr td.today:hover.disabled,
.datepicker table tr td.today.disabled:hover.disabled,
.datepicker table tr td.today:hover[disabled],
.datepicker table tr td.today.disabled:hover[disabled],
.datepicker table tr td.today:hover:active,
.datepicker table tr td.today.disabled:hover:active,
.datepicker table tr td.today:hover.active,
.datepicker table tr td.today.disabled:hover.active {
  background-color: lighten($warning, 30%);
}
.datepicker table tr td.today:hover:hover {
  color: color-yiq-alt(lighten($warning-alt, 30%));
}
.datepicker table tr td.today.active:hover {
  color: $body-color;
}

.datepicker table tr td.range,
.datepicker table tr td.range:hover,
.datepicker table tr td.range.disabled,
.datepicker table tr td.range.disabled:hover {
  background-color: $list-group-action-hover-color;
}

.datepicker table tr td.range.today,
.datepicker table tr td.range.today:hover,
.datepicker table tr td.range.today.disabled,
.datepicker table tr td.range.today.disabled:hover {
  background-color: darken($warning, 20%);
  background-image: none;
  background-repeat: no-repeat;
  border-color: darken($warning, 20%);
}

.datepicker table tr td.range.today:active,
.datepicker table tr td.range.today.disabled:active,
.datepicker table tr td.range.today.active,
.datepicker table tr td.range.today.disabled.active,
.datepicker table tr td.range.today.disabled,
.datepicker table tr td.range.today.disabled.disabled,
.datepicker table tr td.range.today[disabled],
.datepicker table tr td.range.today.disabled[disabled] {
  background-color: darken($warning, 20%);
}

.datepicker table tr td.range.today:hover,
.datepicker table tr td.range.today:hover:hover,
.datepicker table tr td.range.today.disabled:hover,
.datepicker table tr td.range.today.disabled:hover:hover,
.datepicker table tr td.range.today:hover.disabled,
.datepicker table tr td.range.today.disabled:hover.disabled,
.datepicker table tr td.range.today:hover[disabled],
.datepicker table tr td.range.today.disabled:hover[disabled],
.datepicker table tr td.range.today:hover:active,
.datepicker table tr td.range.today.disabled:hover:active,
.datepicker table tr td.range.today:hover.active,
.datepicker table tr td.range.today.disabled:hover.active {
  background-color: darken($warning, 20%);;
}

.datepicker table tr td.selected,
.datepicker table tr td.selected:hover,
.datepicker table tr td.selected.disabled,
.datepicker table tr td.selected.disabled:hover {
  background-color: $list-group-action-hover-color;
  background-image: none;
  background-repeat: no-repeat;
  border-color: $list-group-action-hover-color;
  color: color-yiq($list-group-action-hover-color);
  text-shadow: none;
}

.datepicker table tr td.selected:active,
.datepicker table tr td.selected.disabled:active,
.datepicker table tr td.selected.active,
.datepicker table tr td.selected.disabled.active,
.datepicker table tr td.selected.disabled,
.datepicker table tr td.selected.disabled.disabled,
.datepicker table tr td.selected[disabled],
.datepicker table tr td.selected.disabled[disabled]  {
  background-color: $list-group-action-hover-color;
}

.datepicker table tr td.selected:hover,
.datepicker table tr td.selected:hover:hover,
.datepicker table tr td.selected.disabled:hover,
.datepicker table tr td.selected.disabled:hover:hover,
.datepicker table tr td.selected:hover:active,
.datepicker table tr td.selected.disabled:hover:active,
.datepicker table tr td.selected:hover.active,
.datepicker table tr td.selected.disabled:hover.active,
.datepicker table tr td.selected:hover.disabled,
.datepicker table tr td.selected.disabled:hover.disabled,
.datepicker table tr td.selected:hover[disabled],
.datepicker table tr td.selected.disabled:hover[disabled] {
  background-color: $list-group-action-hover-color;
}

.datepicker table tr td.active,
.datepicker table tr td.active:hover,
.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled:hover {
  background-color: $custom-control-indicator-active-bg;
  background-image: none;
  background-repeat: no-repeat;
  border-color: $custom-control-indicator-active-border-color;
  color: $custom-control-indicator-active-color;
  text-shadow: none;
}

.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled.disabled,
.datepicker table tr td.active[disabled],
.datepicker table tr td.active.disabled[disabled],
.datepicker table tr td.active:active,
.datepicker table tr td.active.disabled:active,
.datepicker table tr td.active.active,
.datepicker table tr td.active.disabled.active {
  // Selected
  background-color: $custom-control-indicator-active-bg;
}

.datepicker table tr td.active:hover,
.datepicker table tr td.active:hover:hover,
.datepicker table tr td.active.disabled:hover,
.datepicker table tr td.active.disabled:hover:hover,
.datepicker table tr td.active:hover.disabled,
.datepicker table tr td.active.disabled:hover.disabled,
.datepicker table tr td.active:hover[disabled],
.datepicker table tr td.active.disabled:hover[disabled],
.datepicker table tr td.active:hover:active,
.datepicker table tr td.active.disabled:hover:active,
.datepicker table tr td.active:hover.active,
.datepicker table tr td.active.disabled:hover.active {
  // Selected hover
  background-color: darken($custom-control-indicator-active-bg, 10%);
}

.datepicker table tr td span:hover,
.datepicker table tr td span.focused {
  background-color: darken($custom-control-indicator-active-bg, 10%);
}
.datepicker table tr td span.disabled,
.datepicker table tr td span.disabled:hover {
  color:  $custom-control-indicator-active-color;
}
.datepicker table tr td span.active,
.datepicker table tr td span.active:hover,
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active.disabled:hover {
  background-color: lighten($custom-control-indicator-active-bg, 20%);
  background-image: none;
  background-repeat: no-repeat;
  border-color: lighten($custom-control-indicator-active-bg, 20%);
  color: $custom-control-indicator-active-color;
  text-shadow: none;
}
.datepicker table tr td span.active:hover,
.datepicker table tr td span.active:hover:hover,
.datepicker table tr td span.active:hover:active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.disabled:hover,
.datepicker table tr td span.active.disabled:hover:hover,
.datepicker table tr td span.active:hover.disabled,
.datepicker table tr td span.active.disabled:hover.disabled,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active:hover[disabled],
.datepicker table tr td span.active.disabled:hover[disabled] {
  background-color: $custom-control-indicator-active-bg;
}
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active.disabled.disabled,
.datepicker table tr td span.active:active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active[disabled],
.datepicker table tr td span.active.disabled[disabled],
.datepicker table tr td span.active.disabled.active {
  background-color: darken($custom-control-indicator-active-bg, 20%);
}
.datepicker table tr td span.old,
.datepicker table tr td span.new {
  color: $custom-control-label-disabled-color;
}

.datepicker .datepicker-switch:hover,
.datepicker .prev:hover,
.datepicker .next:hover,
.datepicker tfoot tr th:hover {
  background-color: $custom-control-indicator-bg;
}

.input-daterange .add-on {
  color: $input-group-addon-color;
  text-shadow: 0 1px 0 darken($input-group-addon-color, 20%);
  background-color: $input-group-addon-color;
  border-color: $input-group-addon-border-color;
}
